libzypp: zypp::json::UInt Class Reference

libzypp 17.38.7

zypp::json::UInt Class Reference

`#include <zypp-core/parser/json/JsonNumber.h>`

## Public Member Functions
| UInt ()=default
| UInt (std::uint64_t v)
| ~UInt ()=default
| UInt (const UInt &)=default
| UInt (UInt &&)=default
UInt & | operator= (const UInt &)=default
UInt & | operator= (UInt &&)=default
| operator std::uint64_t () const
std::uint64_t | value () const
std::string | asJSON () const
| JSON representation.
std::ostream & | dumpOn (std::ostream &str) const
| Stream output.

## Static Public Member Functions
static zyppng::expected< UInt > | fromString (const std::string &str)

## Private Attributes
std::uint64_t | _value = 0

## Detailed Description

Definition at line 111 of file JsonNumber.h.

## Constructor & Destructor Documentation

## ◆ UInt() [1/4]

zypp::json::UInt::UInt | ( |  | ) |
| default

## ◆ UInt() [2/4]

zypp::json::UInt::UInt | ( | std::uint64_t | v | ) |
| inline

Definition at line 115 of file JsonNumber.h.

## ◆ ~UInt()

zypp::json::UInt::~UInt | ( |  | ) |
| default

## ◆ UInt() [3/4]

zypp::json::UInt::UInt | ( | const UInt & |  | ) |
| default

## ◆ UInt() [4/4]

zypp::json::UInt::UInt | ( | UInt && |  | ) |
| default

## Member Function Documentation

## ◆ operator=() [1/2]

UInt & zypp::json::UInt::operator= | ( | const UInt & |  | ) |
| default

## ◆ operator=() [2/2]

UInt & zypp::json::UInt::operator= | ( | UInt && |  | ) |
| default

## ◆ fromString()

zyppng::expected< UInt > zypp::json::UInt::fromString | ( | const std::string & | str | ) |
| inlinestatic

Definition at line 123 of file JsonNumber.h.

## ◆ operator std::uint64_t()

zypp::json::UInt::operator std::uint64_t | ( |  | ) | const
| inline

Definition at line 130 of file JsonNumber.h.

## ◆ value()

std::uint64_t zypp::json::UInt::value | ( |  | ) | const
| inline

Definition at line 134 of file JsonNumber.h.

## ◆ asJSON()

std::string zypp::json::UInt::asJSON | ( |  | ) | const
| inline

JSON representation.

Definition at line 139 of file JsonNumber.h.

## ◆ dumpOn()

std::ostream & zypp::json::UInt::dumpOn | ( | std::ostream & | str | ) | const
| inline

Stream output.

Definition at line 143 of file JsonNumber.h.

## Member Data Documentation

## ◆ _value

std::uint64_t zypp::json::UInt::_value = 0
| private

Definition at line 147 of file JsonNumber.h.

The documentation for this class was generated from the following file:

- zypp-core/parser/json/JsonNumber.h